<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@mipmap/dpbj"
    tools:context=".view.from.lsjy_activity"
    tools:ignore="ExtraText">
  <RelativeLayout
      android:layout_width="match_parent"
      android:layout_height="30dp"
      android:background="@color/test">
    <ImageView
        android:id="@+id/gongneng_fanhui"
        android:layout_width="26dp"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_centerVertical="true"
        android:layout_marginLeft="20dp"
        android:textSize="@dimen/TitleSize"
        android:textColor="@color/titleforeground"
        android:src="@mipmap/zj"
        />
    <RelativeLayout
        android:layout_centerInParent="true"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">
      <TextView
          android:id="@+id/gongneng_title"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:layout_centerInParent="true"
          android:textColor="@color/white"
          android:textSize="@dimen/textTitleSize"
          android:textStyle="bold" />
      <ImageView
          android:layout_width="400dp"
          android:layout_height="22dp"
          android:layout_alignParentBottom="true"
          android:src="@mipmap/tittle"
          android:layout_marginLeft="5dp"
          />
    </RelativeLayout>

  </RelativeLayout>

  <View
      android:layout_width="match_parent"
      android:layout_height="1dp"
      android:background="#FF03668F" />

  <!--region new-->

  <TableLayout
      android:layout_gravity="center"
      android:layout_width="wrap_content"
      android:layout_height="wrap_content">
    <!-- Table1-->
    <TableRow
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_margin="5dp">
      <TextView
          android:layout_marginRight="15dp"
          android:text="外置仓一:"
          android:textColor="@color/white"
          android:textStyle="bold"/>
      <EditText
          android:id="@+id/passwayText_1"
          android:minWidth="60dp"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:layout_marginRight="15dp"
          android:inputType="number|numberDecimal"
          android:theme="@style/MyEditText_num"
          android:maxLines="1"
          android:singleLine="true"
          android:textColor="@color/white"
          android:backgroundTint="@color/colorAccent"/>
      <Switch
          android:id="@+id/Switch_1"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:text="校准开关  "
          android:layout_marginRight="40dp"
          android:textOff="关"
          android:textOn="开"
          android:showText="true"
          android:switchTextAppearance="@style/myTextAppearance"
          android:textColor="@color/white"
          android:thumb="@drawable/switch_custom_thumb_selector"
          android:track="@drawable/switch_custom_track_selector"/>

      <TextView
          android:layout_marginRight="15dp"
          android:text="外置仓二:"
          android:textColor="@color/white"
          android:textStyle="bold"/>
      <EditText
          android:id="@+id/passwayText_2"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:minWidth="60dp"
          android:layout_marginRight="15dp"
          android:inputType="number|numberDecimal"
          android:theme="@style/MyEditText_num"
          android:maxLines="1"
          android:singleLine="true"
          android:textColor="@color/white"
          android:backgroundTint="@color/colorAccent"/>
      <Switch
          android:id="@+id/Switch_2"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:text="校准开关  "
          android:layout_marginRight="40dp"
          android:textOff="关"
          android:textOn="开"
          android:showText="true"
          android:switchTextAppearance="@style/myTextAppearance"
          android:textColor="@color/white"
          android:thumb="@drawable/switch_custom_thumb_selector"
          android:track="@drawable/switch_custom_track_selector"/>
    </TableRow>
    <!-- Table3-->
    <TableRow
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_margin="5dp">
      <TextView
          android:layout_marginRight="15dp"
          android:text="外置仓三:"
          android:textColor="@color/white"
          android:textStyle="bold"/>
      <EditText
          android:id="@+id/passwayText_3"
          android:minWidth="60dp"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:layout_marginRight="15dp"
          android:inputType="number|numberDecimal"
          android:theme="@style/MyEditText_num"
          android:maxLines="1"
          android:singleLine="true"
          android:textColor="@color/white"
          android:backgroundTint="@color/colorAccent"/>
      <Switch
          android:id="@+id/Switch_3"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:text="校准开关  "
          android:layout_marginRight="40dp"
          android:textOff="关"
          android:textOn="开"
          android:showText="true"
          android:switchTextAppearance="@style/myTextAppearance"
          android:textColor="@color/white"
          android:thumb="@drawable/switch_custom_thumb_selector"
          android:track="@drawable/switch_custom_track_selector"/>

      <TextView
          android:layout_marginRight="15dp"
          android:text="外置仓四:"
          android:textColor="@color/white"
          android:textStyle="bold"/>
      <EditText
          android:id="@+id/passwayText_4"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:minWidth="60dp"
          android:layout_marginRight="15dp"
          android:inputType="number|numberDecimal"
          android:theme="@style/MyEditText_num"
          android:maxLines="1"
          android:singleLine="true"
          android:textColor="@color/white"
          android:backgroundTint="@color/colorAccent"/>
      <Switch
          android:id="@+id/Switch_4"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:text="校准开关  "
          android:layout_marginRight="40dp"
          android:textOff="关"
          android:textOn="开"
          android:showText="true"
          android:switchTextAppearance="@style/myTextAppearance"
          android:textColor="@color/white"
          android:thumb="@drawable/switch_custom_thumb_selector"
          android:track="@drawable/switch_custom_track_selector"/>
    </TableRow>
    <!-- Table3-->
    <TableRow
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_margin="5dp">
      <TextView
          android:layout_marginRight="15dp"
          android:text="外置仓五:"
          android:textColor="@color/white"
          android:textStyle="bold"/>
      <EditText
          android:id="@+id/passwayText_5"
          android:minWidth="60dp"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:layout_marginRight="15dp"
          android:inputType="number|numberDecimal"
          android:theme="@style/MyEditText_num"
          android:maxLines="1"
          android:singleLine="true"
          android:textColor="@color/white"
          android:backgroundTint="@color/colorAccent"/>
      <Switch
          android:id="@+id/Switch_5"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:text="校准开关  "
          android:layout_marginRight="40dp"
          android:textOff="关"
          android:textOn="开"
          android:showText="true"
          android:switchTextAppearance="@style/myTextAppearance"
          android:textColor="@color/white"
          android:thumb="@drawable/switch_custom_thumb_selector"
          android:track="@drawable/switch_custom_track_selector"/>

      <TextView
          android:layout_marginRight="15dp"
          android:text="外置仓六:"
          android:textColor="@color/white"
          android:textStyle="bold"/>
      <EditText
          android:id="@+id/passwayText_6"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:minWidth="60dp"
          android:layout_marginRight="15dp"
          android:inputType="number|numberDecimal"
          android:theme="@style/MyEditText_num"
          android:maxLines="1"
          android:singleLine="true"
          android:textColor="@color/white"
          android:backgroundTint="@color/colorAccent"/>
      <Switch
          android:id="@+id/Switch_6"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:text="校准开关  "
          android:layout_marginRight="40dp"
          android:textOff="关"
          android:textOn="开"
          android:showText="true"
          android:switchTextAppearance="@style/myTextAppearance"
          android:textColor="@color/white"
          android:thumb="@drawable/switch_custom_thumb_selector"
          android:track="@drawable/switch_custom_track_selector"/>
    </TableRow>
    <!-- Table4-->
    <TableRow
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_margin="5dp">
      <TextView
          android:layout_marginRight="15dp"
          android:text="粉料仓一:"
          android:textColor="@color/white"
          android:textStyle="bold"/>
      <EditText
          android:id="@+id/passwayText_7"
          android:minWidth="60dp"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:layout_marginRight="15dp"
          android:inputType="number|numberDecimal"
          android:theme="@style/MyEditText_num"
          android:maxLines="1"
          android:singleLine="true"
          android:textColor="@color/white"
          android:backgroundTint="@color/colorAccent"/>
      <Switch
          android:id="@+id/Switch_7"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:text="校准开关  "
          android:layout_marginRight="40dp"
          android:textOff="关"
          android:textOn="开"
          android:showText="true"
          android:switchTextAppearance="@style/myTextAppearance"
          android:textColor="@color/white"
          android:thumb="@drawable/switch_custom_thumb_selector"
          android:track="@drawable/switch_custom_track_selector"/>

      <TextView
          android:layout_marginRight="15dp"
          android:text="粉料仓二:"
          android:textColor="@color/white"
          android:textStyle="bold"/>
      <EditText
          android:id="@+id/passwayText_8"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:minWidth="60dp"
          android:layout_marginRight="15dp"
          android:inputType="number|numberDecimal"
          android:theme="@style/MyEditText_num"
          android:maxLines="1"
          android:singleLine="true"
          android:textColor="@color/white"
          android:backgroundTint="@color/colorAccent"/>
      <Switch
          android:id="@+id/Switch_8"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:text="校准开关  "
          android:layout_marginRight="40dp"
          android:textOff="关"
          android:textOn="开"
          android:showText="true"
          android:switchTextAppearance="@style/myTextAppearance"
          android:textColor="@color/white"
          android:thumb="@drawable/switch_custom_thumb_selector"
          android:track="@drawable/switch_custom_track_selector"/>
    </TableRow>
    <!-- Table5-->
    <TableRow
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_margin="5dp">
      <TextView
          android:layout_marginRight="15dp"
          android:text="粉料仓三:"
          android:textColor="@color/white"
          android:textStyle="bold"/>
      <EditText
          android:id="@+id/passwayText_9"
          android:minWidth="60dp"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:layout_marginRight="15dp"
          android:inputType="number|numberDecimal"
          android:theme="@style/MyEditText_num"
          android:maxLines="1"
          android:singleLine="true"
          android:textColor="@color/white"
          android:backgroundTint="@color/colorAccent"/>
      <Switch
          android:id="@+id/Switch_9"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:text="校准开关  "
          android:layout_marginRight="40dp"
          android:textOff="关"
          android:textOn="开"
          android:showText="true"
          android:switchTextAppearance="@style/myTextAppearance"
          android:textColor="@color/white"
          android:thumb="@drawable/switch_custom_thumb_selector"
          android:track="@drawable/switch_custom_track_selector"/>

      <TextView
          android:layout_marginRight="15dp"
          android:text="粉料仓四:"
          android:textColor="@color/white"
          android:textStyle="bold"/>
      <EditText
          android:id="@+id/passwayText_10"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:minWidth="60dp"
          android:layout_marginRight="15dp"
          android:inputType="number|numberDecimal"
          android:theme="@style/MyEditText_num"
          android:maxLines="1"
          android:singleLine="true"
          android:textColor="@color/white"
          android:backgroundTint="@color/colorAccent"/>
      <Switch
          android:id="@+id/Switch_10"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:text="校准开关  "
          android:layout_marginRight="40dp"
          android:textOff="关"
          android:textOn="开"
          android:showText="true"
          android:switchTextAppearance="@style/myTextAppearance"
          android:textColor="@color/white"
          android:thumb="@drawable/switch_custom_thumb_selector"
          android:track="@drawable/switch_custom_track_selector"/>
    </TableRow>
    <!-- Table6-->
    <TableRow
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_margin="5dp">
      <TextView
          android:layout_marginRight="15dp"
          android:text="酱油料仓:"
          android:textColor="@color/white"
          android:textStyle="bold"/>
      <EditText
          android:id="@+id/passwayText_11"
          android:minWidth="60dp"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:layout_marginRight="15dp"
          android:inputType="number|numberDecimal"
          android:theme="@style/MyEditText_num"
          android:maxLines="1"
          android:singleLine="true"
          android:textColor="@color/white"
          android:backgroundTint="@color/colorAccent"/>
      <Switch
          android:id="@+id/Switch_11"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:text="校准开关  "
          android:layout_marginRight="40dp"
          android:textOff="关"
          android:textOn="开"
          android:showText="true"
          android:switchTextAppearance="@style/myTextAppearance"
          android:textColor="@color/white"
          android:thumb="@drawable/switch_custom_thumb_selector"
          android:track="@drawable/switch_custom_track_selector"/>

      <TextView
          android:layout_marginRight="15dp"
          android:text="猪油料仓:"
          android:textColor="@color/white"
          android:textStyle="bold"/>
      <EditText
          android:id="@+id/passwayText_12"
          android:layout_width="match_parent"
          android:layout_height="wrap_content"
          android:minWidth="60dp"
          android:layout_marginRight="15dp"
          android:inputType="number|numberDecimal"
          android:theme="@style/MyEditText_num"
          android:maxLines="1"
          android:singleLine="true"
          android:textColor="@color/white"
          android:backgroundTint="@color/colorAccent"/>
      <Switch
          android:id="@+id/Switch_12"
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:text="校准开关  "
          android:layout_marginRight="40dp"
          android:textOff="关"
          android:textOn="开"
          android:showText="true"
          android:switchTextAppearance="@style/myTextAppearance"
          android:textColor="@color/white"
          android:thumb="@drawable/switch_custom_thumb_selector"
          android:track="@drawable/switch_custom_track_selector"/>
    </TableRow>


  </TableLayout>
  <RelativeLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content">
    <LinearLayout
        android:layout_marginLeft="100dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical">
      <TextView
          android:layout_width="wrap_content"
          android:layout_height="match_parent"
          android:text="重量:"
          android:textColor="@color/white"
          android:textStyle="bold">
      </TextView>
      <TextView
          android:id="@+id/zhongliang"
          android:layout_width="wrap_content"
          android:layout_height="match_parent"
          android:text="0g"
          android:textSize="40dp"
          android:textColor="@color/color_purl"
          android:textStyle="bold">
      </TextView>
    </LinearLayout>
    <Button
        android:id="@+id/StartButton"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="5dp"
        android:layout_width="90dp"
        android:layout_height="90dp"
        android:layout_gravity="center"
        android:layout_centerHorizontal="true"
        android:background="@drawable/bt_circular"
        android:textColor="@color/white"
        android:focusable="true"
        android:text="开始
        校准"
        android:textSize="16dp"/>
    <TableLayout
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_alignParentRight="true"
        android:layout_marginTop="10dp"
        android:layout_marginLeft="5dp"
        >
      <TableRow
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:layout_gravity="center"
          android:layout_margin="5dp">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="校准基准时间:"
            android:textColor="@color/white"
            android:textStyle="bold"
            android:gravity="center"
            android:textSize="16dp"/>
      </TableRow>
      <TableRow
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:layout_gravity="center"
          android:layout_marginRight="35dp">
        <EditText
            android:id="@+id/edi_time"
            android:minWidth="60dp"
            android:layout_marginLeft="20dp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="@color/white"
            android:backgroundTint="@color/colorAccent"
            android:inputType="number|numberDecimal"
            android:theme="@style/MyEditText_num"
            android:maxLines="1"
            android:singleLine="true"/>
        <Button
            android:id="@+id/savetime"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="保存"
            android:layout_gravity="center"
            android:layout_marginLeft="5dp"
            android:textColor="@color/white"
            android:textSize="12dp"
            android:textStyle="bold"
            android:background="@drawable/settingbutton"/>
      </TableRow>
      <TableRow
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:layout_gravity="center"
          android:layout_marginRight="35dp">
        <Button
            android:id="@+id/ClearText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="称重清零"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="5dp"
            android:layout_marginTop="10dp"
            android:textColor="@color/white"
            android:textSize="12dp"
            android:textStyle="bold"
            android:layout_weight="2"
            android:background="@drawable/settingbutton"/>
      </TableRow>
    </TableLayout>



  </RelativeLayout>
  <!--endregion-->
</LinearLayout>